Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
test_matrix
Get Test Matrix
curl --request GET \
  --url https://backend.revyl.ai/api/v1/apps/{app_id}/test_matrix \
  --header 'Authorization: Bearer <token>'
{
  "app_id": "<string>",
  "builds": [
    {
      "build_id": "<string>",
      "version": "<string>",
      "uploaded_at": "2023-11-07T05:31:56Z"
    }
  ],
  "tests": [
    {
      "test_id": "<string>",
      "test_name": "<string>",
      "cells": [
        {
          "build_id": "<string>",
          "build_version": "<string>",
          "total_runs": 0,
          "passed_runs": 0,
          "failed_runs": 0,
          "cancelled_runs": 0,
          "last_run_at": "2023-11-07T05:31:56Z",
          "top_failure_reason": "<string>",
          "failure_details": [
            {}
          ],
          "test_version_number": 123,
          "latest_execution_id": "<string>"
        }
      ],
      "flaky_score": 123,
      "classification": "<string>",
      "classification_detail": "<string>"
    }
  ],
  "build_count": 0,
  "test_count": 0,
  "total_builds": 0,
  "page": 1,
  "page_size": 10
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:10
Required range: 2 <= x <= 50

Response

Successful Response

app_id
string
required
builds
TestMatrixBuild · object[]
tests
TestMatrixRow · object[]
build_count
integer
default:0
test_count
integer
default:0
total_builds
integer
default:0
page
integer
default:1
page_size
integer
default:10